Bug 76430 - NCPFS generates Stale NFS File Handle after mounting directory
NCPFS generates Stale NFS File Handle after mounting directory
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: ncpfs (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-10-21 14:11 EDT by Brandon
Modified: 2007-04-18 12:47 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-06-02 06:58:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Brandon 2002-10-21 14:11:28 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
After mounting our local Novell 5.1 server and cd'ing to /mnt/servname and do an
ls, I get ls: .: Stale NFS file handle
If I cd to a specific directory (cd /mnt/servname/data/users), ls will work fine.

I used the ncpmount command this way:

 ncpmount /mnt/juno/ -S Juno -U bstancil.users.oit.university -A
juno.oit.duke.edu -u bstan2


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. ncpmount /mnt/juno/ -S juno -U bstancil.users.oit.university -A
juno.oit.duke.edu -u bstan2

2.
3.
	

Actual Results:  Stale NFS file Handle after trying ls at /mnt/juno

Expected Results:  a successful directory listing

Additional info:
Comment 1 Jennifer E. Lamb 2002-10-21 14:25:29 EDT
I have a customer with the same problem. 

Accessing a mounted ncpfs directory with 'ls' results in "ls: .: Stale NFS file
handle"

Configuration:
Redhat 7.3
Kernel 2.4.18-5smp
ncpfs 2.2.0.18-6 and ncpfs-2.2.0.18-11.i386.rpm
Comment 2 Stefan Winterberg 2002-10-30 14:58:19 EST
Hmmm...
me to. 
I have the same problem.
I run Redhat 8.0 with Kernel 2.4.18-17.8.0 and ncpfs-2.2.0.18-11.

Comment 3 Stefan Winterberg 2002-11-04 15:12:20 EST
I had this problem on my RH 8.0 2.4.18-17.8.0 System.
To solve... simply install kernel 2.4.20-rc1
You can install firt Kernel-2.4.19 and patch this to 2.4.20-rc1. 2.4.20-rc1 is
still a beta kernel.. for me this kernel works fine and i can mount all my
netware servers without estale. 

Bye
Comment 4 Florian La Roche 2003-02-08 17:38:16 EST
Are these problems gone with a current RHL beta? The next days, there is
also a ncpfs-2.2.1-1 release in rawhide. That together with a current
kernel should work fine.

greetings,

Florian La Roche
Comment 5 Dave Cable 2003-04-01 08:39:12 EST
I have seen the same problem, on RH 7.2 with kernel 2.4.18-18.7x.  I don't know
if it helps, but it seems to depend on whether or not the ncpfs filesystem is
built into the kernel or modularised.  On my PC I have built a custom kernel
based on 2.4.18-18.7x, in which I have CONFIG_NCP_FS=y.  On this machine I can
connect to our Netware server and do an "ls" with no difficulty.  On other
machines here, with the standard RedHat kernel in which CONFIG_NCP_FS appears to
be set to m (going by the examples in /usr/src/linux-2.4/configs), connecting to
a Netware server seems ok but the "ls" command reports "Stale NFS file handle".

So building ncpfs into the kernel may help.
Comment 6 Florian La Roche 2003-06-02 06:58:41 EDT
I'd expect this to work now, at least in RHL9, and will close this bug-report.

Thanks for all the feedback above,

Florian La Roche

Note You need to log in before you can comment on or make changes to this bug.